get
https://app.fracttal.com/api/accounts/
Through this web service it is possible to consult the information of the users created in the company.
Input parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
start | Integer | Optional | Number of records from which you want to start the query. All queries are limited to 100 records, when there are more than that amount you must use this parameter for pagination. |
limit | Integer | Optional | Final record number to be returned by the query. |
Output parameters
| Parameter | Type | Description |
|---|---|---|
id | integer | Account ID. |
name | text | User name. |
email | text | User email address. |
active | boolean | Indicates whether the account is active. |
type_user | text | User type: HUMAN_RESOURCES (human resource) or THIRD_PARTIES (third party). |
profiles_description | text | Account profile: Administrator, Technician, Third party, Custom or Read-only. |
only_request | boolean | Indicates whether the account is a requests-only account. |
only_sso | boolean | Indicates whether the user can only sign in through Single Sign-On (SSO). It is true when the "Authentication only through Single Sign-On" option is enabled on the account and false otherwise. |
groups_permissions_description | text | Description of the account's permission group. |
last_date_request | object | Date of the user's last interaction in Fracttal. |
platform | object | Platform from which the user last signed in. |
Example:
Petition: (GET)https://app.fracttal.com/api/accounts/
{
"success": true,
"message": "200",
"data": [
{
"id": 23,
"name": "Julian David Pérez",
"email": "[email protected]",
"active": true,
"type_user": "HUMAN_RESOURCES",
"id_profile": 1,
"profiles_description": "ADMINISTRATOR",
"only_request": false,
"only_sso": true,
"id_group_permission": 1,
"groups_permissions_description": "Default",
"last_date_request": "2019-09-10T19:48:11.317501+00:00",
"id_company": 69
},
{
"id": 1,
"name": "Laura Marcela Peña Jaramillo",
"email": "[email protected]",
"active": true,
"type_user": "HUMAN_RESOURCES",
"id_profile": 1,
"profiles_description": "ADMINISTRATOR",
"only_request": false,
"only_sso": false,
"id_group_permission": 1,
"groups_permissions_description": "Default",
"last_date_request": "2021-02-17T15:35:31.429886+00:00",
"platform": "OS: MacOS, Browser: Chrome, Browser Version: 88.0.4324.150, DeviceType: Desktop",
"id_company": 69
},
{
"id": 57,
"name": "Laura Pena",
"email": "[email protected]",
"active": true,
"type_user": "HUMAN_RESOURCES",
"id_profile": 2,
"profiles_description": "TECHNICAL",
"only_request": false,
"only_sso": false,
"id_group_permission": 5,
"groups_permissions_description": "Tenicos",
"last_date_request": "2021-02-03T02:55:49.455911+00:00",
"platform": "OS: Android, Version: 10, App Version: 3.80036",
"id_company": 69
}
]
"total":2
}CONECTION TEST
